package hosts

import (
	"fmt"
	"strings"
)

// GenerateHostsFile 生成 hosts 文件
func GenerateHostsFile(data map[string]string) string {
	res := make([]string, 0)
	for host, ip := range data {
		res = append(res, fmt.Sprintf("%s %s", ip, host))
	}
	return strings.Join(res, "\n")
}
